# vim: set ts=4 sw=4 et:

%define kdessconfigdir %{_datadir}/kde4/services/ScreenSavers

Name:           xtrascreenhacks
Version:        0.7
Release:        5%{?dist}
Summary:        Collection of openGL Screensavers
# http://home.comcast.net/~shegeek/xtrascreenhacks/xtrascreenhacks-%{version}.tar.gz
Source:         xtrascreenhacks-%{version}.tar.bz2
URL:            http://home.comcast.net/~shegeek/xtrascreenhacks/
Group:          Amusements/Toys/Screensavers
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  xscreensaver
BuildRequires:  bc
BuildRequires:  freeglut-devel
BuildRequires:  gtk2-devel
BuildRequires:  libglade2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  xdg-utils
BuildRequires:	libXt-devel
BuildRequires:  gcc make glibc-devel
BuildRequires:  autoconf automake libtool
BuildRequires:	mesa-libGL-devel libgle-devel
BuildRequires:	libXmu-devel
Requires:       /usr/bin/xdg-open
Requires:       xscreensaver
Source1:	xtrascreenhacks.conf

%description
XtraScreenHacks is a collection of display modes that are based on and intended
to be run with the XScreensaver distribution. Requires Xlib and OpenGL.

Included screensavers:
* Skylark, the classic 1950s kitchen table top
* Soma, the 3d cube puzzle
* Berlin-Uhr, the Berlin Quantity Didactics Clock
* Flyer
* Daisy
* Twinkle

%package            xscreensaver
Summary:            XScreenSaver support for %{name}
Group:              Amusements/Graphics
Requires:           %{name} = %{version}-%{release}
Requires(post):     xscreensaver-base
Requires(postun):   xscreensaver-base

%description        xscreensaver
XtraScreenHacks is a collection of display modes that are based on and intended
to be run with the XScreensaver distribution. Requires Xlib and OpenGL.

Included screensavers:
* Skylark, the classic 1950s kitchen table top
* Soma, the 3d cube puzzle
* Berlin-Uhr, the Berlin Quantity Didactics Clock
* Flyer
* Daisy
* Twinkle

This package contains the files needed to use the hack with
xscreensaver.

%prep
%setup -q

%build
CFLAGS="%{optflags} -DHAVE_SYS_WAIT_H"
%configure \
    --with-hackdir="%{_libexecdir}/xscreensaver" \
    --with-configdir="%{_datadir}/xscreensaver/config" \
    --with-xf86vmode-ext \
    --with-xf86gamma-ext \
    --with-xshm-ext \
    --with-xdbe-ext \
    --with-proc-interrupts \
    --with-gtk \
    --with-gl \
    --with-gle \
    --with-pixbuf \
    --with-jpeg \
    --with-image-directory="%{_datadir}wallpapers" \
    --with-text-file=/etc/issue \
    --with-browser=%{_bindir}/xdg-open

#--with-xidle-ext \
#--with-readdisplay \
    
%__make %{?jobs:-j%{jobs}}

%install
%__make install_prefix="%{buildroot}" install

# For xscreensaver
mkdir -p %{buildroot}%{_datadir}/xscreensaver/hacks.conf.d
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/xscreensaver/hacks.conf.d/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README
%dir %{_datadir}/xscreensaver/config
%config(noreplace) %{_datadir}/xscreensaver/config/*.xml
%{_libexecdir}/xscreensaver/*
%{_datadir}/xtrascreenhacks
%doc %{_mandir}/man6/*

%files xscreensaver
%defattr(-,root,root,-)
%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf


%post xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi
   
   
%postun xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
    %{_sbindir}/update-xscreensaver-hacks || :
fi
      

%changelog
* Sun Dec 14 2014 josef radinger <cheese@nosuchhost.net> - 0.7-5
- fix changelog

* Thu Oct 11 2012 josef radinger <cheese@nosuchhost.net> - 0.7-4
- add dist-flag

* Thu Oct 11 2012 josef radinger <cheese@nosuchhost.net> - 0.7-3
- add conf-file
- create subpackage for xscreensaver

* Sat Oct 06 2012 josef radinger <cheese@nosuchhost.net> - 0.7-2
- release for fedora

* Tue Mar 29 2011 pascal.bleser@opensuse.org
- update to 0.7:
  * adds a new hack called "Psychedelic", which is a re-implementation of the
    classic Smoking Clover hack
  * a bug in the Soma hack that caused the pieces to disappear in mono mode has
    been fixed
  * a malloc bug in Craters has been fixed, and multiple problems with its
    configuration screen have been corrected
* Fri Jun 25 2010 pascal.bleser@opensuse.org
- initial package (0.5)
